#ifndef HOVER_WINDOW_H_
#define HOVER_WINDOW_H_

#include <Elementary.h>

Evas_Object *_create_hover_window(Evas_Object *parent, int width, int height, const char *theme_extension);
void _show_hover_window(void);
void _hide_hover_window(void);
void _set_hover_window_coordinates(int x, int y);
void _paste_hover_window_text(const char *text_to_paste);

const char *get_hover_window_text(void);

#endif /* HOVER_WINDOW_H_ */
