#include "view/source_wgt.h"
#include "$(appName).h"

Evas_Object *
_source_wgt_create(Evas_Object *parent)
{
	Evas_Object *wgt = elm_label_add(parent);

	if (!parent) {
		dlog_print(DLOG_ERROR, LOG_TAG, "source_wgt_create: parent is NULL");
		return NULL;
	}

	if (!wgt) {
		dlog_print(DLOG_ERROR, LOG_TAG, "source_wgt_create: failure to allocate resource");
		return NULL;
	}

	elm_label_line_wrap_set(wgt, ELM_WRAP_MIXED);
	evas_object_pass_events_set(wgt, EINA_TRUE);

	return wgt;
}

const char *
_source_wgt_text_get(Evas_Object *wgt)
{
	return elm_object_part_text_get(wgt, "default");
}
